Loading...
Searching...
No Matches
EST_FeatureFunctionPackage Class Reference

`#include <include/ling_class/EST_FeatureFunctionPackage.h>`

## Classes

struct | Entry

## Public Member Functions

| EST_FeatureFunctionPackage (const EST_String name, int n)
| EST_FeatureFunctionPackage (const char *name, int n)
const EST_String | name (void)
void | register_func (const EST_String &name, const EST_Item_featfunc func)
const Entry & | lookup (const EST_String &name, int &found) const
const EST_String | lookup (const EST_Item_featfunc func, int &found) const

## Detailed Description

Represents a named collection of named functions.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_FeatureFunctionPackage.h,v 1.2 2001/04/04 13:11:27 awb Exp

Definition at line 48 of file EST_FeatureFunctionPackage.h.

## Constructor & Destructor Documentation

## EST_FeatureFunctionPackage() [1/2]

EST_FeatureFunctionPackage::EST_FeatureFunctionPackage | ( | const EST_String | name,
|  | int | n )

Definition at line 74 of file EST_FeatureFunctionPackage.cc.

## EST_FeatureFunctionPackage() [2/2]

EST_FeatureFunctionPackage::EST_FeatureFunctionPackage | ( | const char * | name,
|  | int | n )

Definition at line 82 of file EST_FeatureFunctionPackage.cc.

## Member Function Documentation

## name()

const EST_String EST_FeatureFunctionPackage::name | ( | void |  | ) |

inline

Definition at line 63 of file EST_FeatureFunctionPackage.h.

## register_func()

void EST_FeatureFunctionPackage::register_func | ( | const EST_String & | name,
|  | const EST_Item_featfunc | func )

Definition at line 87 of file EST_FeatureFunctionPackage.cc.

## lookup() [1/2]

const EST_FeatureFunctionPackage::Entry & EST_FeatureFunctionPackage::lookup | ( | const EST_String & | name,
|  | int & | found ) const

Definition at line 103 of file EST_FeatureFunctionPackage.cc.

## lookup() [2/2]

const EST_String EST_FeatureFunctionPackage::lookup | ( | const EST_Item_featfunc | func,
|  | int & | found ) const

Definition at line 109 of file EST_FeatureFunctionPackage.cc.

The documentation for this class was generated from the following files:

- include/ling_class/EST_FeatureFunctionPackage.h
- ling_class/EST_FeatureFunctionPackage.cc